diff --git a/Client/Client/Assets/Scenes/WebGL.unity b/Client/Client/Assets/Scenes/WebGL.unity
index 4a3cd68..a372859 100644
--- a/Client/Client/Assets/Scenes/WebGL.unity
+++ b/Client/Client/Assets/Scenes/WebGL.unity
@@ -9939,7 +11503,7 @@ MonoBehaviour:
   m_Script: {fileID: 11500000, guid: 833f84acfa541974ebffb9dab10cb27c, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
-  mapSourceDirectory: Maps/Test
+  mapSourceDirectory: Maps
   weatherPanel: {fileID: 952799846}
   datePanel: {fileID: 660500494}
   buildingPanel: {fileID: 1687476872}
@@ -9968,9 +11532,16 @@ MonoBehaviour:
   m_GameObject: {fileID: 1446501677}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: ac0fb3ff0286f974397f0b6b2c3c10ac, type: 3}
+  m_Script: {fileID: 11500000, guid: 7aaba704d6fddc649b36d23259367344, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
+  networkingManager: {fileID: 1478102841}
+  mapRenderer: {fileID: 1827524482}
+  predictionIndex: 0
+  playing: 0
+  loadingAnimator: {fileID: 0}
+  timePerSegment: 1
+  timer: 0
 --- !u!114 &1446501681
 MonoBehaviour:
   m_ObjectHideFlags: 0
@@ -9987,6 +11558,7 @@ MonoBehaviour:
   temperatureText: {fileID: 1163171921}
   rainText: {fileID: 924234298}
   windText: {fileID: 2034067901}
+  useOwnWeather: 0
 --- !u!114 &1446501682
 MonoBehaviour:
   m_ObjectHideFlags: 0
@@ -10221,6 +11793,86 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1453444305}
   m_CullTransparentMesh: 0
+--- !u!1 &1456024675
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 1456024676}
+  - component: {fileID: 1456024678}
+  - component: {fileID: 1456024677}
+  m_Layer: 5
+  m_Name: Hours
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &1456024676
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1456024675}
+  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1367384571}
+  m_RootOrder: 6
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 380, y: -15}
+  m_SizeDelta: {x: 60, y: 30}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &1456024677
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1456024675}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 0.35, g: 0.35, b: 0.35, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_FontData:
+    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
+    m_FontSize: 24
+    m_FontStyle: 0
+    m_BestFit: 0
+    m_MinSize: 2
+    m_MaxSize: 40
+    m_Alignment: 4
+    m_AlignByGeometry: 0
+    m_RichText: 1
+    m_HorizontalOverflow: 0
+    m_VerticalOverflow: 0
+    m_LineSpacing: 1
+  m_Text: 'HH
+
+'
+--- !u!222 &1456024678
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1456024675}
+  m_CullTransparentMesh: 0
 --- !u!1 &1467604638
 GameObject:
   m_ObjectHideFlags: 0
@@ -10271,7 +11923,7 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 0.19607843, g: 0.19607843, b: 0.19607843, a: 1}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
@@ -10280,7 +11932,7 @@ MonoBehaviour:
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
     m_FontSize: 14
-    m_FontStyle: 0
+    m_FontStyle: 1
     m_BestFit: 0
     m_MinSize: 10
     m_MaxSize: 40
@@ -10308,7 +11960,7 @@ GameObject:
   serializedVersion: 6
   m_Component:
   - component: {fileID: 1478102839}
-  - component: {fileID: 1478102840}
+  - component: {fileID: 1478102841}
   m_Layer: 0
   m_Name: NetworkManager
   m_TagString: Untagged
@@ -10330,7 +11982,7 @@ Transform:
   m_Father: {fileID: 0}
   m_RootOrder: 1
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
---- !u!114 &1478102840
+--- !u!114 &1478102841
 MonoBehaviour:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
@@ -10339,9 +11991,11 @@ MonoBehaviour:
   m_GameObject: {fileID: 1478102838}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: 660804ddf1eaa76418a412f568b07b8c, type: 3}
+  m_Script: {fileID: 11500000, guid: 293c714f76f64e2409990ec2bc9368c6, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
+  rushManager: {fileID: 1446501680}
+  uri: https://147.228.173.54:10000/
 --- !u!1 &1483322681
 GameObject:
   m_ObjectHideFlags: 0
@@ -10411,7 +12065,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: HH
+  m_Text: 
 --- !u!222 &1483322684
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -10799,7 +12453,85 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1550839742}
   m_CullTransparentMesh: 0
---- !u!1 &1561487178
+--- !u!1 &1561487178
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 1561487179}
+  - component: {fileID: 1561487181}
+  - component: {fileID: 1561487180}
+  m_Layer: 5
+  m_Name: Slash
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &1561487179
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1561487178}
+  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 2020135977}
+  m_RootOrder: 3
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 205, y: -15}
+  m_SizeDelta: {x: 30, y: 30}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &1561487180
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1561487178}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 0.15, g: 0.15, b: 0.15, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_FontData:
+    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
+    m_FontSize: 24
+    m_FontStyle: 0
+    m_BestFit: 0
+    m_MinSize: 2
+    m_MaxSize: 40
+    m_Alignment: 4
+    m_AlignByGeometry: 0
+    m_RichText: 1
+    m_HorizontalOverflow: 0
+    m_VerticalOverflow: 0
+    m_LineSpacing: 1
+  m_Text: /
+--- !u!222 &1561487181
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1561487178}
+  m_CullTransparentMesh: 0
+--- !u!1 &1579198514
 GameObject:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
@@ -10807,75 +12539,127 @@ GameObject:
   m_PrefabAsset: {fileID: 0}
   serializedVersion: 6
   m_Component:
-  - component: {fileID: 1561487179}
-  - component: {fileID: 1561487181}
-  - component: {fileID: 1561487180}
+  - component: {fileID: 1579198515}
+  - component: {fileID: 1579198518}
+  - component: {fileID: 1579198517}
+  - component: {fileID: 1579198516}
   m_Layer: 5
-  m_Name: Slash
+  m_Name: 'ToEnd '
   m_TagString: Untagged
   m_Icon: {fileID: 0}
   m_NavMeshLayer: 0
   m_StaticEditorFlags: 0
   m_IsActive: 1
---- !u!224 &1561487179
+--- !u!224 &1579198515
 RectTransform:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 1561487178}
-  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_GameObject: {fileID: 1579198514}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
   m_LocalPosition: {x: 0, y: 0, z: 0}
   m_LocalScale: {x: 1, y: 1, z: 1}
-  m_Children: []
-  m_Father: {fileID: 2020135977}
-  m_RootOrder: 3
+  m_Children:
+  - {fileID: 78429734}
+  m_Father: {fileID: 449164400}
+  m_RootOrder: 5
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
-  m_AnchorMin: {x: 0, y: 1}
-  m_AnchorMax: {x: 0, y: 1}
-  m_AnchoredPosition: {x: 205, y: -15}
-  m_SizeDelta: {x: 30, y: 30}
+  m_AnchorMin: {x: 0.5, y: 0.5}
+  m_AnchorMax: {x: 0.5, y: 0.5}
+  m_AnchoredPosition: {x: 300, y: 0}
+  m_SizeDelta: {x: 25, y: 25}
   m_Pivot: {x: 0.5, y: 0.5}
---- !u!114 &1561487180
+--- !u!114 &1579198516
 MonoBehaviour:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 1561487178}
+  m_GameObject: {fileID: 1579198514}
   m_Enabled: 1
   m_EditorHideFlags: 0
-  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Script: {fileID: 11500000, guid: 4e29b1a8efbd4b44bb3f3716e73f07ff, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Navigation:
+    m_Mode: 0
+    m_SelectOnUp: {fileID: 0}
+    m_SelectOnDown: {fileID: 0}
+    m_SelectOnLeft: {fileID: 0}
+    m_SelectOnRight: {fileID: 0}
+  m_Transition: 1
+  m_Colors:
+    m_NormalColor: {r: 1, g: 1, b: 1, a: 1}
+    m_HighlightedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
+    m_PressedColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 1}
+    m_SelectedColor: {r: 0.9607843, g: 0.9607843, b: 0.9607843, a: 1}
+    m_DisabledColor: {r: 0.78431374, g: 0.78431374, b: 0.78431374, a: 0.5019608}
+    m_ColorMultiplier: 1
+    m_FadeDuration: 0.1
+  m_SpriteState:
+    m_HighlightedSprite: {fileID: 0}
+    m_PressedSprite: {fileID: 0}
+    m_SelectedSprite: {fileID: 0}
+    m_DisabledSprite: {fileID: 0}
+  m_AnimationTriggers:
+    m_NormalTrigger: Normal
+    m_HighlightedTrigger: Highlighted
+    m_PressedTrigger: Pressed
+    m_SelectedTrigger: Selected
+    m_DisabledTrigger: Disabled
+  m_Interactable: 1
+  m_TargetGraphic: {fileID: 1579198517}
+  m_OnClick:
+    m_PersistentCalls:
+      m_Calls:
+      - m_Target: {fileID: 1358035356}
+        m_MethodName: OnToEndButtonPressed
+        m_Mode: 1
+        m_Arguments:
+          m_ObjectArgument: {fileID: 0}
+          m_ObjectArgumentAssemblyTypeName: UnityEngine.Object, UnityEngine
+          m_IntArgument: 0
+          m_FloatArgument: 0
+          m_StringArgument: 
+          m_BoolArgument: 0
+        m_CallState: 2
+--- !u!114 &1579198517
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 1579198514}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 0.15, g: 0.15, b: 0.15, a: 1}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
-  m_FontData:
-    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
-    m_FontSize: 24
-    m_FontStyle: 0
-    m_BestFit: 0
-    m_MinSize: 2
-    m_MaxSize: 40
-    m_Alignment: 4
-    m_AlignByGeometry: 0
-    m_RichText: 1
-    m_HorizontalOverflow: 0
-    m_VerticalOverflow: 0
-    m_LineSpacing: 1
-  m_Text: /
---- !u!222 &1561487181
+  m_Sprite: {fileID: 21300000, guid: 915f428a07576ec41a126a3bb514df20, type: 3}
+  m_Type: 1
+  m_PreserveAspect: 0
+  m_FillCenter: 1
+  m_FillMethod: 4
+  m_FillAmount: 1
+  m_FillClockwise: 1
+  m_FillOrigin: 0
+  m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
+--- !u!222 &1579198518
 CanvasRenderer:
   m_ObjectHideFlags: 0
   m_CorrespondingSourceObject: {fileID: 0}
   m_PrefabInstance: {fileID: 0}
   m_PrefabAsset: {fileID: 0}
-  m_GameObject: {fileID: 1561487178}
+  m_GameObject: {fileID: 1579198514}
   m_CullTransparentMesh: 0
 --- !u!1 &1638364157
 GameObject:
@@ -11107,7 +12891,7 @@ MonoBehaviour:
   m_OnCullStateChanged:
     m_PersistentCalls:
       m_Calls: []
-  m_Sprite: {fileID: 21300000, guid: 2e1b28798fdce844998afda64b5defe5, type: 3}
+  m_Sprite: {fileID: 21300000, guid: 8c9eebdedc7b5eb458f605ad6bfd334e, type: 3}
   m_Type: 0
   m_PreserveAspect: 0
   m_FillCenter: 1
@@ -11679,7 +13463,7 @@ RectTransform:
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0.5, y: 0.5}
   m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: 0, y: 0}
+  m_AnchoredPosition: {x: 15, y: 0}
   m_SizeDelta: {x: 450, y: 175}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1732356071
@@ -12340,7 +14124,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: HH
+  m_Text: 
 --- !u!222 &1794286525
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -12448,8 +14232,8 @@ Transform:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 1827524480}
   m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
-  m_LocalPosition: {x: 0, y: 0, z: 0}
-  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_LocalPosition: {x: 1.5000005, y: -1.9999999, z: 0}
+  m_LocalScale: {x: 0.35, y: 0.35, z: 1}
   m_Children: []
   m_Father: {fileID: 591238600}
   m_RootOrder: 0
@@ -13319,7 +15103,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: MM
+  m_Text: 
 --- !u!222 &1934653811
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -13519,7 +15303,7 @@ RectTransform:
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0.5, y: 0.5}
   m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: -285, y: 0}
+  m_AnchoredPosition: {x: -305, y: 0}
   m_SizeDelta: {x: 25, y: 25}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &1984542445
@@ -13535,7 +15319,7 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   m_Navigation:
-    m_Mode: 3
+    m_Mode: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
@@ -13644,11 +15428,11 @@ RectTransform:
   m_Children:
   - {fileID: 2113676212}
   m_Father: {fileID: 806962367}
-  m_RootOrder: 1
+  m_RootOrder: 2
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 1}
   m_AnchorMax: {x: 1, y: 1}
-  m_AnchoredPosition: {x: 0, y: -160}
+  m_AnchoredPosition: {x: 0, y: -180}
   m_SizeDelta: {x: 0, y: 30}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &1997390858
@@ -13763,6 +15547,84 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2005881275}
   m_CullTransparentMesh: 0
+--- !u!1 &2011098070
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 2011098071}
+  - component: {fileID: 2011098073}
+  - component: {fileID: 2011098072}
+  m_Layer: 5
+  m_Name: Slash
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &2011098071
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2011098070}
+  m_LocalRotation: {x: -0, y: -0, z: -0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 1367384571}
+  m_RootOrder: 1
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0, y: 1}
+  m_AnchorMax: {x: 0, y: 1}
+  m_AnchoredPosition: {x: 115, y: -15}
+  m_SizeDelta: {x: 30, y: 30}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &2011098072
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2011098070}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: 5f7201a12d95ffc409449d95f23cf332, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 0.35, g: 0.35, b: 0.35, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_FontData:
+    m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
+    m_FontSize: 24
+    m_FontStyle: 0
+    m_BestFit: 0
+    m_MinSize: 2
+    m_MaxSize: 40
+    m_Alignment: 4
+    m_AlignByGeometry: 0
+    m_RichText: 1
+    m_HorizontalOverflow: 0
+    m_VerticalOverflow: 0
+    m_LineSpacing: 1
+  m_Text: /
+--- !u!222 &2011098073
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2011098070}
+  m_CullTransparentMesh: 0
 --- !u!1 &2012948735
 GameObject:
   m_ObjectHideFlags: 0
@@ -14108,11 +15970,11 @@ RectTransform:
   - {fileID: 789886757}
   - {fileID: 1776604245}
   m_Father: {fileID: 806962367}
-  m_RootOrder: 2
+  m_RootOrder: 4
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0, y: 1}
   m_AnchorMax: {x: 1, y: 1}
-  m_AnchoredPosition: {x: 0, y: -295}
+  m_AnchoredPosition: {x: 0, y: -355}
   m_SizeDelta: {x: 0, y: 30}
   m_Pivot: {x: 0.5, y: 1}
 --- !u!114 &2020135978
@@ -14326,7 +16188,7 @@ MonoBehaviour:
     m_HorizontalOverflow: 0
     m_VerticalOverflow: 0
     m_LineSpacing: 1
-  m_Text: DD
+  m_Text: 
 --- !u!222 &2035191801
 CanvasRenderer:
   m_ObjectHideFlags: 0
@@ -14413,6 +16275,80 @@ CanvasRenderer:
   m_PrefabAsset: {fileID: 0}
   m_GameObject: {fileID: 2038375845}
   m_CullTransparentMesh: 0
+--- !u!1 &2044784789
+GameObject:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  serializedVersion: 6
+  m_Component:
+  - component: {fileID: 2044784790}
+  - component: {fileID: 2044784792}
+  - component: {fileID: 2044784791}
+  m_Layer: 5
+  m_Name: Image
+  m_TagString: Untagged
+  m_Icon: {fileID: 0}
+  m_NavMeshLayer: 0
+  m_StaticEditorFlags: 0
+  m_IsActive: 1
+--- !u!224 &2044784790
+RectTransform:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2044784789}
+  m_LocalRotation: {x: 0, y: 0, z: 0, w: 1}
+  m_LocalPosition: {x: 0, y: 0, z: 0}
+  m_LocalScale: {x: 1, y: 1, z: 1}
+  m_Children: []
+  m_Father: {fileID: 141661026}
+  m_RootOrder: 0
+  m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
+  m_AnchorMin: {x: 0.5, y: 0.5}
+  m_AnchorMax: {x: 0.5, y: 0.5}
+  m_AnchoredPosition: {x: -1, y: 0}
+  m_SizeDelta: {x: 15, y: 15}
+  m_Pivot: {x: 0.5, y: 0.5}
+--- !u!114 &2044784791
+MonoBehaviour:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2044784789}
+  m_Enabled: 1
+  m_EditorHideFlags: 0
+  m_Script: {fileID: 11500000, guid: fe87c0e1cc204ed48ad3b37840f39efc, type: 3}
+  m_Name: 
+  m_EditorClassIdentifier: 
+  m_Material: {fileID: 0}
+  m_Color: {r: 0.043137256, g: 0.14509805, b: 0.27058825, a: 1}
+  m_RaycastTarget: 1
+  m_Maskable: 1
+  m_OnCullStateChanged:
+    m_PersistentCalls:
+      m_Calls: []
+  m_Sprite: {fileID: 21300000, guid: 2e1b28798fdce844998afda64b5defe5, type: 3}
+  m_Type: 0
+  m_PreserveAspect: 0
+  m_FillCenter: 1
+  m_FillMethod: 4
+  m_FillAmount: 1
+  m_FillClockwise: 1
+  m_FillOrigin: 0
+  m_UseSpriteMesh: 0
+  m_PixelsPerUnitMultiplier: 1
+--- !u!222 &2044784792
+CanvasRenderer:
+  m_ObjectHideFlags: 0
+  m_CorrespondingSourceObject: {fileID: 0}
+  m_PrefabInstance: {fileID: 0}
+  m_PrefabAsset: {fileID: 0}
+  m_GameObject: {fileID: 2044784789}
+  m_CullTransparentMesh: 0
 --- !u!1 &2060852568
 GameObject:
   m_ObjectHideFlags: 0
@@ -14597,7 +16533,7 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 1, g: 1, b: 1, a: 1}
+  m_Color: {r: 0.28627452, g: 0.3921569, b: 0.5058824, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
@@ -14671,7 +16607,7 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   m_Material: {fileID: 0}
-  m_Color: {r: 0.19607843, g: 0.19607843, b: 0.19607843, a: 1}
+  m_Color: {r: 1, g: 1, b: 1, a: 1}
   m_RaycastTarget: 1
   m_Maskable: 1
   m_OnCullStateChanged:
@@ -14680,7 +16616,7 @@ MonoBehaviour:
   m_FontData:
     m_Font: {fileID: 12800000, guid: 9481e32b30a71424388dc7fa2f08e2d0, type: 3}
     m_FontSize: 14
-    m_FontStyle: 0
+    m_FontStyle: 1
     m_BestFit: 0
     m_MinSize: 10
     m_MaxSize: 40
@@ -15132,11 +17068,11 @@ RectTransform:
   m_Children:
   - {fileID: 1264687278}
   m_Father: {fileID: 449164400}
-  m_RootOrder: 2
+  m_RootOrder: 3
   m_LocalEulerAnglesHint: {x: 0, y: 0, z: 0}
   m_AnchorMin: {x: 0.5, y: 0.5}
   m_AnchorMax: {x: 0.5, y: 0.5}
-  m_AnchoredPosition: {x: -250, y: 0}
+  m_AnchoredPosition: {x: -235, y: 0}
   m_SizeDelta: {x: 25, y: 25}
   m_Pivot: {x: 0.5, y: 0.5}
 --- !u!114 &2140207600
@@ -15152,7 +17088,7 @@ MonoBehaviour:
   m_Name: 
   m_EditorClassIdentifier: 
   m_Navigation:
-    m_Mode: 3
+    m_Mode: 0
     m_SelectOnUp: {fileID: 0}
     m_SelectOnDown: {fileID: 0}
     m_SelectOnLeft: {fileID: 0}
diff --git a/Client/Client/Assets/Scripts/MapRenderer.cs b/Client/Client/Assets/Scripts/MapRenderer.cs
index 9631fec..cc41b53 100644
--- a/Client/Client/Assets/Scripts/MapRenderer.cs
+++ b/Client/Client/Assets/Scripts/MapRenderer.cs
@@ -22,6 +22,11 @@ public class MapRenderer : MonoBehaviour
     public Color maxColor;
 
 
+    private Vector3 startPos;
+
+    private Vector3 startScale;
+
+
     private SpriteRenderer underlay;
 
     private Dictionary<string, SpriteRenderer> overlay = new Dictionary<string, SpriteRenderer>();
@@ -30,6 +35,9 @@ public class MapRenderer : MonoBehaviour
     // Start is called before the first frame update
     void Start()
     {
+        startPos = transform.position;
+        startScale = transform.localScale;
+        
         Load();
         interactable = true;
     }
@@ -118,12 +126,28 @@ public class MapRenderer : MonoBehaviour
         }
     }
 
-    public void Animate(float value)
+    public void SetColors(double[] predictions)
     {
-        foreach (var sprite in overlay)
+        var buildings = Buildings.buildings;
+
+        if (predictions.Length != buildings.Length)
+        {
+            Debug.LogError("Mismatch in prediction and building count.");
+            return;
+        }
+
+        for (int i = 0; i < buildings.Length; i++)
         {
-            sprite.Value.color = Color.Lerp(minColor, maxColor, value);
+            if (predictions[i] < 0)
+            {
+                // TODO set different material
+            }
+            else
+            {
+                overlay[buildings[i]].color = Color.Lerp(minColor, maxColor, (float)predictions[i] / 100f);
+            }
         }
+
     }
 
     /// <summary>
@@ -133,8 +157,8 @@ public class MapRenderer : MonoBehaviour
     private void Reset()
     {
         // Reset scale and position
-        transform.position = new Vector3(0, 0, 0);
-        transform.localScale = new Vector3(1, 1, 1);
+        transform.position = startPos;
+        transform.localScale = startScale;
 
         // Destroy children
         if (underlay != null && underlay.gameObject != null) 
diff --git a/Client/Client/Assets/Scripts/Model/Buildings.cs b/Client/Client/Assets/Scripts/Model/Buildings.cs
index 898dc1f..f902534 100644
--- a/Client/Client/Assets/Scripts/Model/Buildings.cs
+++ b/Client/Client/Assets/Scripts/Model/Buildings.cs
@@ -2,28 +2,12 @@
 using System.Collections.Generic;
 using UnityEngine;
 
-public class Buildings : MonoBehaviour
+public class Buildings
 {
-    public static string[] buildings = new string[] { 
-        "FST+FEK", "FDU", "FAV", "FEL", "REK", "MENZA", "LIB", "CIV", "UNI14", 
-        "DOM", "HUS", "CHOD", "JUNG", "KLAT", "KOLL", "RIEG", "SADY", "SED+VEL", 
-        "TES", "TYL", "KARMA", "KBORY", "KLOCH", "KKLAT" };
 
+    public static string[] buildings = new string[] {
+        "FST+FEK", "FDU", "FAV", "FEL", "REK", "MENZA", "LIB", "CIV", "UNI14",
+        "DOM", "HUS", "CHOD", "JUNG", "KLAT", "KOLL", "RIEG", "SADY", "SED+VEL",
+        "TES", "TYL", "KARMA", "KBORY", "KLOCH", "KKLAT" };
 
-    // Start is called before the first frame update
-    void Start()
-    {
-        // TextAsset file = Resources.Load<TextAsset>("buildings");
-        // string[] split = file.ToString().Split('\n');
-        // List<string> buildingsTMP = new List<string>();
-        // 
-        // foreach (string s in split)
-        // {
-        //     string trimmed = s.Trim();
-        //     if (trimmed.Length > 0)
-        //         buildingsTMP.Add(trimmed);
-        // }
-        // 
-        // buildings = buildingsTMP.ToArray();
-    }
 }
diff --git a/Client/Client/Assets/Scripts/Model/DateTimeManager.cs b/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
index fd9ba0a..8d516b6 100644
--- a/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
+++ b/Client/Client/Assets/Scripts/Model/DateTimeManager.cs
@@ -40,7 +40,7 @@ public class DateTimeManager : MonoBehaviour, DateTimeObserver
         if (endDate == null) endDate = startDate;
 
         foreach (var observer in observers)
-            observer.Notify(startDate, endDate);
+            observer.Notify(startDate, currentDate, endDate);
     }
 
     public void SetDates(Date currentDate, Date startDate, Date endDate)
@@ -53,7 +53,7 @@ public class DateTimeManager : MonoBehaviour, DateTimeObserver
 
         foreach (var observer in observers) 
         {
-            observer.Notify(startDate, endDate);
+            observer.Notify(startDate, currentDate, endDate);
         }
     }
 
@@ -62,7 +62,7 @@ public class DateTimeManager : MonoBehaviour, DateTimeObserver
         observers.Add(observer);
     }
 
-    public void Notify(Date startDate, Date endDate)
+    public void Notify(Date startDate, Date currentDate, Date endDate)
     {
         date.text = $"{months[currentDate.month - 1]} / {currentDate.day} / {currentDate.year}";
         dayOfWeek.text = day.ToString().ToUpper();
diff --git a/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs b/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
index 5fc6033..4ab717a 100644
--- a/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
+++ b/Client/Client/Assets/Scripts/Model/DateTimeObserver.cs
@@ -4,5 +4,5 @@ using UnityEngine;
 
 public interface DateTimeObserver
 {
-    void Notify(Date startDate, Date endDate);
+    void Notify(Date startDate, Date currentDate, Date endDate);
 }
diff --git a/Client/Client/Assets/Scripts/Model/Request.cs b/Client/Client/Assets/Scripts/Model/Request.cs
index 0491a76..96e731c 100644
--- a/Client/Client/Assets/Scripts/Model/Request.cs
+++ b/Client/Client/Assets/Scripts/Model/Request.cs
@@ -3,6 +3,7 @@ using System.Collections.Generic;
 using UnityEngine;
 using System.Xml.Serialization;
 using System;
+using ServerApp.Parser.OutputInfo;
 
 [XmlRoot("Request")]
 public class Request
@@ -21,7 +22,7 @@ public class Request
     public double rain;
 
     [XmlElement]
-    public WeatherCondition weather;
+    public WeatherConditions weather;
 
 
     [XmlElement]
@@ -46,7 +47,7 @@ public class Request
             r.temperature = UnityEngine.Random.Range(0f, 40f);
             r.wind = UnityEngine.Random.Range(0f, 100f);
             r.rain = UnityEngine.Random.Range(0f, 100f);
-            r.weather = (WeatherCondition)UnityEngine.Random.Range(0, 3);
+            r.weather = (WeatherConditions)UnityEngine.Random.Range(0, 3);
         }
 
         r.start = Date.Randomize();
diff --git a/Client/Client/Assets/Scripts/NetworkingManager.cs b/Client/Client/Assets/Scripts/NetworkingManager.cs
new file mode 100644
index 0000000..2827fda
--- /dev/null
+++ b/Client/Client/Assets/Scripts/NetworkingManager.cs
@@ -0,0 +1,70 @@
+﻿using System.Collections;
+using System.Collections.Generic;
+using UnityEngine;
+using UnityEngine.Networking;
+using System.Security.Cryptography.X509Certificates;
+
+public class NetworkingManager : MonoBehaviour
+{
+    public RushManager rushManager;
+    
+    public string uri = "https://147.228.173.54:10000/";
+
+    public void StartPost(Request request)
+    {
+        StartCoroutine(Post(uri, XmlCommunication.Serialize(request)));
+
+        // Mock response:
+        StartCoroutine(Get(uri));
+    }
+
+    public void StartGet()
+    {
+        StartCoroutine(Get(uri));
+    }
+
+    IEnumerator Post(string uri, string toPost)
+    {
+        Debug.Log("Uploading: " + toPost);
+        UnityWebRequest www = UnityWebRequest.Post(uri, toPost);
+        www.certificateHandler = new AcceptAllCertificates();
+        yield return www.SendWebRequest();
+
+        if (www.isNetworkError || www.isHttpError)
+        {
+            Debug.Log(www.error);
+        }
+        else
+        {
+            Debug.Log("Upload complete!");
+        }
+    }
+
+    IEnumerator Get(string uri)
+    {
+        Debug.Log("Downloading...");
+        UnityWebRequest www = UnityWebRequest.Get(uri);
+        www.certificateHandler = new AcceptAllCertificates();
+        yield return www.SendWebRequest();
+
+        if (www.isNetworkError || www.isHttpError)
+        {
+            Debug.Log(www.error);
+        }
+        else
+        {
+            // Show results as text
+            var xml = www.downloadHandler.text;
+            rushManager.SetResponse(XmlCommunication.Deserialize<Response>(xml));
+            Debug.Log(xml);
+        }
+    }
+
+    public class AcceptAllCertificates : CertificateHandler
+    {
+        protected override bool ValidateCertificate(byte[] certificateData)
+        {
+            return true;
+        }
+    }
+}
diff --git a/Client/Client/Assets/Scripts/NetworkingManager.cs.meta b/Client/Client/Assets/Scripts/NetworkingManager.cs.meta
new file mode 100644
index 0000000..572a696
--- /dev/null
+++ b/Client/Client/Assets/Scripts/NetworkingManager.cs.meta
@@ -0,0 +1,11 @@
+fileFormatVersion: 2
+guid: 293c714f76f64e2409990ec2bc9368c6
+MonoImporter:
+  externalObjects: {}
+  serializedVersion: 2
+  defaultReferences: []
+  executionOrder: 0
+  icon: {instanceID: 0}
+  userData: 
+  assetBundleName: 
+  assetBundleVariant: 
